For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a simulation case
      • GETList simulation cases
      • GETGet a simulation case
      • PUTUpdate a simulation case
      • DELDelete a simulation case
      • POSTGenerate test cases
      • GETList simulation cases by agent
      • POSTCreate a simulation suite
      • GETList simulation suites
      • GETGet a simulation suite
      • PUTUpdate a simulation suite
      • DELDelete a simulation suite
      • POSTExecute a simulation suite
      • POSTCreate a simulation scenario
      • GETList simulation scenarios
      • GETGet a simulation scenario
      • PUTUpdate a simulation scenario
      • DELDelete a simulation scenario
      • POSTStart a simulation
      • GETList simulation sessions
      • GETGet a simulation session
      • GETList simulations
      • GETGet a simulation
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APISimulations

Get a simulation scenario

||View as Markdown|
GET
/simulation_scenarios/:scenario_id
GET
/v2/simulation_scenarios/:scenario_id
$curl https://api.synthflow.ai/v2/simulation_scenarios/scenario_id \
> -H "Authorization: Bearer <token>"
1{
2 "status": "ok",
3 "response": {
4 "id": "string",
5 "name": "string",
6 "description": "string",
7 "workspace_id": "string",
8 "created_at": "2024-01-15T09:30:00Z",
9 "updated_at": "2024-01-15T09:30:00Z"
10 }
11}
Retrieve a simulation scenario by ID.
Was this page helpful?
Previous

Update a simulation scenario

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

scenario_idstringRequired
Simulation scenario ID.

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error
404
Not Found Error